DK API 文档

xiaohongshu 03

15 个接口

POSTget blogger notes v2

POST https://dkai.store/api/v1/xiaohongshu/pgy/get_blogger_notes_v2

18 积分 / 成功调用

参数位置要求说明
Idempotency-Keyheader必填Use the same value when retrying the same business request.

请求体:按接口定义传入完整 JSON。

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

POSTget blogger similar

POST https://dkai.store/api/v1/xiaohongshu/pgy/get_blogger_similar

18 积分 / 成功调用

参数位置要求说明
Idempotency-Keyheader必填Use the same value when retrying the same business request.

请求体:按接口定义传入完整 JSON。

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

POSTget content square

POST https://dkai.store/api/v1/xiaohongshu/pgy/get_content_square

18 积分 / 成功调用

参数位置要求说明
Idempotency-Keyheader必填Use the same value when retrying the same business request.

请求体:按接口定义传入完整 JSON。

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

POSTget keyword daily

POST https://dkai.store/api/v1/xiaohongshu/pgy/get_keyword_daily

18 积分 / 成功调用

参数位置要求说明
Idempotency-Keyheader必填Use the same value when retrying the same business request.

请求体:按接口定义传入完整 JSON。

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

POSTget keyword stat

POST https://dkai.store/api/v1/xiaohongshu/pgy/get_keyword_stat

18 积分 / 成功调用

参数位置要求说明
Idempotency-Keyheader必填Use the same value when retrying the same business request.

请求体:按接口定义传入完整 JSON。

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

POSTget live blogger list

POST https://dkai.store/api/v1/xiaohongshu/pgy/get_live_blogger_list

18 积分 / 成功调用

参数位置要求说明
Idempotency-Keyheader必填Use the same value when retrying the same business request.

请求体:按接口定义传入完整 JSON。

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

POSTget note comments

POST https://dkai.store/api/v1/xiaohongshu/pgy/get_note_comments

9 积分 / 成功调用

参数位置要求说明
Idempotency-Keyheader必填Use the same value when retrying the same business request.

请求体:按接口定义传入完整 JSON。

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

POSTget note components

POST https://dkai.store/api/v1/xiaohongshu/pgy/get_note_components

1 积分 / 成功调用

参数位置要求说明
Idempotency-Keyheader必填Use the same value when retrying the same business request.

请求体:按接口定义传入完整 JSON。

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

POSTget note detail

POST https://dkai.store/api/v1/xiaohongshu/pgy/get_note_detail

18 积分 / 成功调用

参数位置要求说明
Idempotency-Keyheader必填Use the same value when retrying the same business request.

请求体:按接口定义传入完整 JSON。

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETfetch homefeed

GET https://dkai.store/api/v1/xiaohongshu/web_v3/fetch_homefeed

9 积分 / 成功调用

参数位置要求说明
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/xiaohongshu/web_v3/fetch_homefeed'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETfetch homefeed categories

GET https://dkai.store/api/v1/xiaohongshu/web_v3/fetch_homefeed_categories

9 积分 / 成功调用

参数位置要求说明
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/xiaohongshu/web_v3/fetch_homefeed_categories'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETfetch note detail

GET https://dkai.store/api/v1/xiaohongshu/web_v3/fetch_note_detail

9 积分 / 成功调用

参数位置要求说明
note_idquery必填
xsec_tokenquery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/xiaohongshu/web_v3/fetch_note_detail?note_id=VALUE&xsec_token=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETfetch search suggest

GET https://dkai.store/api/v1/xiaohongshu/web_v3/fetch_search_suggest

9 积分 / 成功调用

参数位置要求说明
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/xiaohongshu/web_v3/fetch_search_suggest'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETfetch user info

GET https://dkai.store/api/v1/xiaohongshu/web_v3/fetch_user_info

9 积分 / 成功调用

参数位置要求说明
user_idquery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/xiaohongshu/web_v3/fetch_user_info?user_id=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。